Page MenuHomeFreeBSD

ixl: Add MAC+VLAN filter for LAA MAC assignment
ClosedPublic

Authored by erj on Jul 16 2015, 10:22 PM.

Details

Reviewers
gnn
rstone
Summary

Fix for a customer issue:

  • Add required MAC/VLAN filter when adding an LAA
  • Fix bug where code did not check for I40E_SUCCESS from a successful i40e_validate_mac_address() call in init_locked(), when setting an LAA.

Patch submitted by: Greg Rose <gregory.v.rose@intel.com>

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage

Event Timeline

erj updated this revision to Diff 7031.Jul 16 2015, 10:22 PM
erj retitled this revision from to ixl: Add MAC+VLAN filter for LAA MAC assignment.
erj updated this object.
erj edited the test plan for this revision. (Show Details)
erj added a reviewer: gnn.
erj set the repository for this revision to rS FreeBSD src repository.
erj added a project: network.
erj added a reviewer: rstone.Jul 16 2015, 10:23 PM
rstone added inline comments.Jul 16 2015, 11:57 PM
sys/dev/ixl/if_ixl.c
1145

the indendation looks like it went here

gnn accepted this revision.Jul 17 2015, 1:21 AM
gnn edited edge metadata.
gnn added inline comments.
sys/dev/ixl/if_ixl.c
1145

I'd also add an extra pair of () around the == clause there.

This revision is now accepted and ready to land.Jul 17 2015, 1:21 AM
erj updated this revision to Diff 7105.Jul 20 2015, 5:26 PM
erj edited edge metadata.

Fix indentation and add parentheses around validate_mac_addr() check.

This revision now requires review to proceed.Jul 20 2015, 5:26 PM
gnn accepted this revision.Jul 21 2015, 8:06 PM
gnn edited edge metadata.

Approved.

This revision is now accepted and ready to land.Jul 21 2015, 8:06 PM
erj closed this revision.Jul 21 2015, 9:08 PM

In with r285768.